package com.mcwl.memberCenter.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * 会员权益类型枚举
 */
@Getter
@AllArgsConstructor
public enum MemberBenefitTypeEnum {

    DISCOUNT("discount", "折扣"),

    POINTS("points", "积分"),

    CASH("cash", "现金"),

    FREE("free", "免费");

    private final String name;

    @EnumValue
    private final String value;


}
